Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class TabbedPanelRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.TabbedPanelRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class TabbedPanelRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Nested Class Summary
`class` | `TabbedPanelRepresentation.IndexedString`

Constructor Summary
`TabbedPanelRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCssClassName()`
`Map<String,Object>` | `getDataMap()`
`String` | `getId()`
`Map<TabbedPanelRepresentation.IndexedString,FormItemRepresentation>` | `getTabContents()`
`List<TabbedPanelRepresentation.IndexedString>` | `getTabTitles()`
`String` | `getTabWidth()`
`int` | `hashCode()`
`void` | `putTab(int index, String tabTitle, FormItemRepresentation tabContent)`
`void` | `setCssClassName(String cssClassName)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setId(String id)`
`void` | `setTabContents(Map<TabbedPanelRepresentation.IndexedString,FormItemRepresentation> tabContents)`
`void` | `setTabTitles(List<TabbedPanelRepresentation.IndexedString> tabTitles)`
`void` | `setTabWidth(String tabWidth)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPanelRepresentation

    public TabbedPanelRepresentation()

Method Detail

### putTab

    public void putTab(int index,
                       String tabTitle,
                       FormItemRepresentation tabContent)

### getTabTitles

    public List<TabbedPanelRepresentation.IndexedString> getTabTitles()

### setTabTitles

    public void setTabTitles(List<TabbedPanelRepresentation.IndexedString> tabTitles)

### getTabContents

    public Map<TabbedPanelRepresentation.IndexedString,FormItemRepresentation> getTabContents()

### setTabContents

    public void setTabContents(Map<TabbedPanelRepresentation.IndexedString,FormItemRepresentation> tabContents)

### getCssClassName

    public String getCssClassName()

### setCssClassName

    public void setCssClassName(String cssClassName)

### getId

    public String getId()

### setId

    public void setId(String id)

### getTabWidth

    public String getTabWidth()

### setTabWidth

    public void setTabWidth(String tabWidth)

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.